<?php

namespace Setup\Test\TestCase\Shell;

use Cake\Console\ConsoleIo;
use Cake\TestSuite\TestCase;
use Setup\Shell\DbBackupShell;
use Shim\TestSuite\ConsoleOutput;

class DbBackupShellTest extends TestCase {

	/**
	 * @var \Shim\TestSuite\ConsoleOutput
	 */
	protected $out;

	/**
	 * @var \Shim\TestSuite\ConsoleOutput
	 */
	protected $err;

	/**
	 * @var \Setup\Shell\DbBackupShell|\PHPUnit\Framework\MockObject\MockObject
	 */
	protected $Shell;

	/**
	 * @return void
	 */
	public function setUp(): void {
		parent::setUp();

		$this->skipIf(true, 'TODO: refactor to command');

		$this->out = new ConsoleOutput();
		$this->err = new ConsoleOutput();
		$io = new ConsoleIo($this->out, $this->err);

		$this->Shell = $this->getMockBuilder(DbBackupShell::class)
			->onlyMethods(['in', 'err', '_stop'])
			->setConstructorArgs([$io])
			->getMock();

		$this->Shell->expects($this->once())->method('in')->willReturn('y');
	}

	/**
	 * tearDown
	 *
	 * @return void
	 */
	public function tearDown(): void {
		parent::tearDown();
		unset($this->Shell);
	}

	/**
	 * @return void
	 */
	public function testCreate() {
		$this->Shell->runCommand(['create', '-d']);
		$output = $this->out->output();

		$this->assertEmpty($this->err->output());
		$this->assertTextContains('Backup will be written to', $output);
	}

}
